OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
StepData

# StepData Class Reference

Gives basic data definition for Step Interface.
Any class of a data model described in EXPRESS Language
is candidate to be managed by a Step Interface
.

`#include <StepData.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_StepData_Protocol | HeaderProtocol ()
| Returns the recorded HeaderProtocol, which can be : - a Null Handle if no Header Protocol was yet defined - a simple Protocol if only one was defined - a FileProtocol if more than one Protocol was yet defined .
static Standard_EXPORT void | AddHeaderProtocol (const Handle(StepData_Protocol)&headerproto)
| Adds a new Header Protocol to the Header Definition .
static Standard_EXPORT void | Init ()
| Prepares General Data required to work with this package, which are the Protocol and Modules to be loaded into Libraries .
static Standard_EXPORT Handle_StepData_Protocol | Protocol ()
| Returns a Protocol from StepData (avoids to create it) .

## Member Function Documentation

static Standard_EXPORT void StepData::AddHeaderProtocol | ( | const Handle(StepData_Protocol)& | headerproto | ) | `[static]`

static Standard_EXPORT Handle_StepData_Protocol StepData::HeaderProtocol | ( |  | ) | `[static]`

static Standard_EXPORT void StepData::Init | ( |  | ) | `[static]`

void StepData::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepData::operator new | ( | size_t | size | ) | `[inline]`

void* StepData::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_StepData_Protocol StepData::Protocol | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- StepData.hxx